Update on Heartbleed

Dear users,

Copernic wanted to update you regarding the Heartbleed OpenSSL bug. Given its potential impact, we wanted to ensure you understood potential implications.

The Heartbleed issue is a vulnerability that exposes secure information by exploiting a programming bug in the OpenSSL library that makes the remote process (web server, for instance) leak a random block of memory.

Copernic uses mainly Share-it, from Digital River and Avangate as its e-commerce solutions. The main platform we use, Share-it, does not use OpenSSL. On the other hand, Avangate does and they have issued a statement on their blog: Securtiy Update on Heartbleed.

Please feel free to contact us if you have any questions.

Kind regards,

Leave a Reply